Skip to content

Add Start Script

POST
/api/v1/start-script/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/start-script/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"label": "nginx-hello",
"script_content": "hello"
}'
project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key for authenticating the request

Example

<API_KEY>
location
required
string

Specifies the target location for the start script

Example

<LOCATION>
Media typeapplication/json
object
label

Name of the start script to add

string

Example

nginx-hello
script_content

Script content to be executed at start

string

Example

hello

Successful response

Media typeapplication/json
object
code

HTTP status code indicating the result of adding the start script

integer
data
object
errors
object
message

Human-readable result message of the add start script operation

string

Example

{
"code": 200,
"message": "Success"
}